local t = Def.ActorFrame {}

--El poder de los arreglos (tablas) en BGAnimations
local typhonames = {
	"HEY",
	"WHY",
	"DON'T",
	"U",
	"JUST",
	"GET UP",
	"'N DANCE",
	"MAN!",
}

--En Lua los arreglos son 100% dinámicos: la cantidad de elementos que puede
--almacenar son modificables (a diferencia de C#, no conozco como son los
--arreglos en otros lenguajes...)
for i=1,#typhonames do
	t[#t+1] = LoadActor("font/"..typhonames[i])..{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;vibrate;effectmagnitude,2,3,1;blend,'BlendMode_Add');
		OnCommand=function(self)
			local iZoom
			local fSleep
			local fDelay
			if i == 1 then
				iZoom = 1.5
				fSleep = 1.5
				fDelay = 0.5
			elseif i == 2 then
				iZoom = 1.5
				fSleep = 2
				fDelay = 0.2
			elseif i == 3 then
				iZoom = 1.6
				fSleep = 2.2
				fDelay = 0.2
			elseif i == 4 then
				iZoom = 1.7
				fSleep = 2.4
				fDelay = 0.2
			elseif i == 5 then
				iZoom = 1.8
				fSleep = 2.6
				fDelay = 0.2
			elseif i == 6 then
				iZoom = 1.9
				fSleep = 2.8
				fDelay = 0.2
			elseif i == 7 then
				iZoom = 1.9
				fSleep = 3
				fDelay = 0.4
			elseif i == 8 then
				iZoom = 2
				fSleep = 3.4
				fDelay = 0.5
			end
			self:zoom(iZoom);
			self:diffusealpha(0);
			self:sleep(fSleep);
			self:diffusealpha(1);
			self:sleep(fDelay);
			self:diffusealpha(0);
		end;
	}
end

return t